]> git.sesse.net Git - vlc/commitdiff
* debian/patches/20_configure.dpatch:
authorSam Hocevar <sam@videolan.org>
Thu, 29 Jul 2004 15:40:26 +0000 (15:40 +0000)
committerSam Hocevar <sam@videolan.org>
Thu, 29 Jul 2004 15:40:26 +0000 (15:40 +0000)
    + Fixed generated macros.

debian/patches/20_configure.dpatch

index 10ed50b3170b5540b21678cd2042b523c7f6964c..6c2f3668f0cdc8cde2521f85c4a36aa58e27a7aa 100755 (executable)
@@ -24,89 +24,462 @@ exit 0
 
 @DPATCH@
 diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure vlc-0.7.2.final/configure
---- /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure     2004-05-21 14:09:58.000000000 +0200
-+++ vlc-0.7.2.final/configure  2004-07-29 17:15:04.000000000 +0200
-@@ -17850,7 +17850,8 @@
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
--  ac_cv_c_altivec="-maltivec -mabi=altivec"
-+  ac_cv_c_altivec=""
-+           ac_cv_c_altivec_abi="-maltivec -mabi=altivec"
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
-@@ -17919,12 +17920,9 @@
- #define CAN_COMPILE_C_ALTIVEC 1
- _ACEOF
+--- /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure     2004-07-29 17:34:03.000000000 +0200
++++ vlc-0.7.2.final/configure  2004-07-29 17:36:45.000000000 +0200
+@@ -309,7 +309,7 @@
+ # include <unistd.h>
+ #endif"
  
--
--  for element in vlc idctaltivec motionaltivec memcpyaltivec deinterlace i420_yuy2_altivec; do
--    eval "CFLAGS_${element}="'"$'"{CFLAGS_${element}} ${ac_cv_c_altivec}"'"'
--    am_modules_with_cflags="${am_modules_with_cflags} ${element}"
--  done
--
-+  VLC_ADD_CFLAGS(vlc,${ac_cv_c_altivec})
-+  VLC_ADD_CFLAGS(idctaltivec motionaltivec memcpyaltivec deinterlace,${ac_cv_c_altivec})
-+  VLC_ADD_CFLAGS(i420_yuy2_altivec,${ac_cv_c_altivec} ${ac_cv_c_altivec_abi})
-   ACCEL_MODULES="${ACCEL_MODULES} ${ALTIVEC_MODULES}"
- fi
+-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP EGREP OBJC OBJCFLAGS OBJCDEPMODE am__fastdepOBJC_TRUE am__fastdepOBJC_FALSE RANLIB ac_ct_RANLIB AR ac_ct_AR LD ac_ct_LD UPX ac_ct_UPX WINDRES ac_ct_WINDRES HAVE_BEOS_TRUE HAVE_BEOS_FALSE HAVE_DARWIN_TRUE HAVE_DARWIN_FALSE HAVE_WIN32_TRUE HAVE_WIN32_FALSE MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE ALLOCA GLIBC21 LIBICONV LTLIBICONV INTLBISON USE_NLS BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATOBJEXT INTLOBJS DATADIRNAME INSTOBJEXT GENCAT INTL_LIBTOOL_SUFFIX_PREFIX INTLLIBS LIBINTL LTLIBINTL POSUB BUILD_INTL_TRUE BUILD_INTL_FALSE BUILD_GETOPT_TRUE BUILD_GETOPT_FALSE BUILD_DIRENT_TRUE BUILD_DIRENT_FALSE DVDNAV_CONFIG PKG_CONFIG LIBCDIO_CFLAGS LIBCDIO_LIBS LIBCDDB_CFLAGS LIBCDDB_LIBS VCDINFO_CFLAGS VCDINFO_LIBS SDL12_CONFIG SDL11_CONFIG SDL_CONFIG FREETYPE_CONFIG FRIBIDI_CONFIG CACA_CONFIG ESD_CONFIG ARTS_CONFIG XML2_CONFIG GTK12_CONFIG GTK_CONFIG GTK2_CFLAGS GTK2_LIBS GNOME_CONFIG WX_CONFIG ORBIT_CONFIG MOZILLA_CONFIG CYGPATH ac_ct_CYGPATH BUILD_MOZILLA_TRUE BUILD_MOZILLA_FALSE HAVE_PLUGINS_TRUE HAVE_PLUGINS_FALSE HAVE_BUILTINS_TRUE HAVE_BUILTINS_FALSE UNTRUE_TRUE UNTRUE_FALSE DATA_PATH PLUGIN_PATH VLC_CONFIG SYS ARCH ALIASES ASM MOC XPIDL XPIDL_INCL LIBEXT INCLUDES ALL_LINGUAS LIBOBJS LTLIBOBJS'
++ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE CXXCPP EGREP OBJC OBJCFLAGS OBJCDEPMODE RANLIB ac_ct_RANLIB AR ac_ct_AR LD ac_ct_LD UPX ac_ct_UPX WINDRES ac_ct_WINDRES HAVE_BEOS_TRUE HAVE_BEOS_FALSE HAVE_DARWIN_TRUE HAVE_DARWIN_FALSE HAVE_WIN32_TRUE HAVE_WIN32_FALSE MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE ALLOCA GLIBC21 LIBICONV LTLIBICONV INTLBISON USE_NLS BUILD_INCLUDED_LIBINTL USE_INCLUDED_LIBINTL CATOBJEXT INTLOBJS DATADIRNAME INSTOBJEXT GENCAT INTL_LIBTOOL_SUFFIX_PREFIX INTLLIBS LIBINTL LTLIBINTL POSUB BUILD_INTL_TRUE BUILD_INTL_FALSE BUILD_GETOPT_TRUE BUILD_GETOPT_FALSE BUILD_DIRENT_TRUE BUILD_DIRENT_FALSE DVDNAV_CONFIG PKG_CONFIG LIBCDIO_CFLAGS LIBCDIO_LIBS LIBCDDB_CFLAGS LIBCDDB_LIBS VCDINFO_CFLAGS VCDINFO_LIBS SDL12_CONFIG SDL11_CONFIG SDL_CONFIG FREETYPE_CONFIG FRIBIDI_CONFIG CACA_CONFIG ESD_CONFIG ARTS_CONFIG XML2_CONFIG GTK12_CONFIG GTK_CONFIG GTK2_CFLAGS GTK2_LIBS GNOME_CONFIG WX_CONFIG ORBIT_CONFIG MOZILLA_CONFIG CYGPATH ac_ct_CYGPATH BUILD_MOZILLA_TRUE BUILD_MOZILLA_FALSE HAVE_PLUGINS_TRUE HAVE_PLUGINS_FALSE HAVE_BUILTINS_TRUE HAVE_BUILTINS_FALSE UNTRUE_TRUE UNTRUE_FALSE DATA_PATH PLUGIN_PATH VLC_CONFIG SYS ARCH ALIASES ASM MOC XPIDL XPIDL_INCL LIBEXT INCLUDES ALL_LINGUAS LIBOBJS LTLIBOBJS'
+ ac_subst_files=''
  
-@@ -25153,13 +25151,13 @@
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
+ # Initialize some variables set by options.
+@@ -1594,7 +1594,7 @@
+     NONENONEs,x,x, &&
+   program_prefix=${target_alias}-
  
--      echo "$as_me:$LINENO: checking for dts_free in -ldts" >&5
--echo $ECHO_N "checking for dts_free in -ldts... $ECHO_C" >&6
--if test "${ac_cv_lib_dts_dts_free+set}" = set; then
-+      echo "$as_me:$LINENO: checking for dts_free in -ldts_pic" >&5
-+echo $ECHO_N "checking for dts_free in -ldts_pic... $ECHO_C" >&6
-+if test "${ac_cv_lib_dts_pic_dts_free+set}" = set; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-   ac_check_lib_save_LIBS=$LIBS
--LIBS="-ldts  $LIBS"
-+LIBS="-ldts_pic  $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
- _ACEOF
-@@ -25203,27 +25201,27 @@
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
--  ac_cv_lib_dts_dts_free=yes
-+  ac_cv_lib_dts_pic_dts_free=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
--ac_cv_lib_dts_dts_free=no
-+ac_cv_lib_dts_pic_dts_free=no
+-am__api_version="1.7"
++am__api_version="1.6"
+ # Find a good install program.  We prefer a C program (faster),
+ # so one script is as good as another.  But avoid the broken or
+ # incompatible versions:
+@@ -1815,15 +1815,6 @@
+   SET_MAKE="MAKE=${MAKE-make}"
  fi
- rm -f conftest.err conftest.$ac_objext \
-       conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
+-rm -rf .tst 2>/dev/null
+-mkdir .tst 2>/dev/null
+-if test -d .tst; then
+-  am__leading_dot=.
+-else
+-  am__leading_dot=_
+-fi
+-rmdir .tst 2>/dev/null
+-
+  # test to see if srcdir already configured
+ if test "`cd $srcdir && pwd`" != "`pwd`" &&
+    test -f $srcdir/config.status; then
+@@ -1832,16 +1823,6 @@
+    { (exit 1); exit 1; }; }
  fi
--echo "$as_me:$LINENO: result: $ac_cv_lib_dts_dts_free" >&5
--echo "${ECHO_T}$ac_cv_lib_dts_dts_free" >&6
--if test $ac_cv_lib_dts_dts_free = yes; then
-+echo "$as_me:$LINENO: result: $ac_cv_lib_dts_pic_dts_free" >&5
-+echo "${ECHO_T}$ac_cv_lib_dts_pic_dts_free" >&6
-+if test $ac_cv_lib_dts_pic_dts_free = yes; then
+-# test whether we have cygpath
+-if test -z "$CYGPATH_W"; then
+-  if (cygpath --version) >/dev/null 2>/dev/null; then
+-    CYGPATH_W='cygpath -w'
+-  else
+-    CYGPATH_W=echo
+-  fi
+-fi
+-
+-
+ # Define the identity of the package.
+  PACKAGE=vlc
+  VERSION=0.7.2
+@@ -1970,10 +1951,14 @@
++# Add the stamp file to the list of files AC keeps track of,
++# along with our hook.
+           ac_config_headers="$ac_config_headers config.h"
++
++
+   CPPFLAGS_save="${CPPFLAGS}"
+   CFLAGS_save="${CFLAGS}"
+   CXXFLAGS_save="${CXXFLAGS}"
+@@ -2904,16 +2889,24 @@
+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-DEPDIR="${am__leading_dot}deps"
++rm -f .deps 2>/dev/null
++mkdir .deps 2>/dev/null
++if test -d .deps; then
++  DEPDIR=.deps
++else
++  # MS-DOS does not allow filenames that begin with a dot.
++  DEPDIR=_deps
++fi
++rmdir .deps 2>/dev/null
++
+           ac_config_commands="$ac_config_commands depfiles"
+ am_make=${MAKE-make}
+ cat > confinc << 'END'
+-am__doit:
++doit:
+       @echo done
+-.PHONY: am__doit
+ END
+ # If we don't find an include directive, just comment out the code.
+ echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5
+@@ -2928,7 +2921,7 @@
+ # In particular we don't look at `^make:' because GNU make might
+ # be invoked under some other name (usually "gmake"), in which
+ # case it prints its new name instead of `make'.
+-if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
++if test "`$am_make -s -f confmf 2> /dev/null | fgrep -v 'ing directory'`" = "done"; then
+    am__include=include
+    am__quote=
+    _am_result=GNU
+@@ -2988,32 +2981,18 @@
+   # using a relative directory.
+   cp "$am_depcomp" conftest.dir
+   cd conftest.dir
+-  # We will build objects and dependencies in a subdirectory because
+-  # it helps to detect inapplicable dependency modes.  For instance
+-  # both Tru64's cc and ICC support -MD to output dependencies as a
+-  # side effect of compilation, but ICC will put the dependencies in
+-  # the current directory while Tru64 will put them in the object
+-  # directory.
+-  mkdir sub
+   am_cv_CC_dependencies_compiler_type=none
+   if test "$am_compiler_list" = ""; then
+      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
+   fi
+   for depmode in $am_compiler_list; do
+-    # Setup a source with many dependencies, because some compilers
+-    # like to wrap large dependency lists on column 80 (with \), and
+-    # we should not choose a depcomp mode which is confused by this.
+-    #
+     # We need to recreate these files for each test, as the compiler may
+     # overwrite some of them when testing with obscure command lines.
+     # This happens at least with the AIX C compiler.
+-    : > sub/conftest.c
+-    for i in 1 2 3 4 5 6; do
+-      echo '#include "conftst'$i'.h"' >> sub/conftest.c
+-      : > sub/conftst$i.h
+-    done
+-    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
++    echo '#include "conftest.h"' > conftest.c
++    echo 'int i;' > conftest.h
++    echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
+     case $depmode in
+     nosideeffect)
+@@ -3031,20 +3010,13 @@
+     # mode.  It turns out that the SunPro C++ compiler does not properly
+     # handle `-M -o', and we need to detect this.
+     if depmode=$depmode \
+-       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
+-       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+-       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+-         >/dev/null 2>conftest.err &&
+-       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+-       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
++       source=conftest.c object=conftest.o \
++       depfile=conftest.Po tmpdepfile=conftest.TPo \
++       $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
++       grep conftest.h conftest.Po > /dev/null 2>&1 &&
+        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
+-      # icc doesn't choke on unknown options, it will just issue warnings
+-      # (even with -Werror).  So we grep stderr for any message
+-      # that says an option was ignored.
+-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+-        am_cv_CC_dependencies_compiler_type=$depmode
+-        break
+-      fi
++      am_cv_CC_dependencies_compiler_type=$depmode
++      break
+     fi
+   done
+@@ -3060,18 +3032,6 @@
+ CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
  
  
-   PLUGINS="${PLUGINS} dtstofloat32"
+-
+-if
+-  test "x$enable_dependency_tracking" != xno \
+-  && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
+-  am__fastdepCC_TRUE=
+-  am__fastdepCC_FALSE='#'
+-else
+-  am__fastdepCC_TRUE='#'
+-  am__fastdepCC_FALSE=
+-fi
+-
+-
+ if test "x$CC" != xcc; then
+   echo "$as_me:$LINENO: checking whether $CC and cc understand -c and -o together" >&5
+ echo $ECHO_N "checking whether $CC and cc understand -c and -o together... $ECHO_C" >&6
+@@ -3778,32 +3738,18 @@
+   # using a relative directory.
+   cp "$am_depcomp" conftest.dir
+   cd conftest.dir
+-  # We will build objects and dependencies in a subdirectory because
+-  # it helps to detect inapplicable dependency modes.  For instance
+-  # both Tru64's cc and ICC support -MD to output dependencies as a
+-  # side effect of compilation, but ICC will put the dependencies in
+-  # the current directory while Tru64 will put them in the object
+-  # directory.
+-  mkdir sub
  
+   am_cv_CXX_dependencies_compiler_type=none
+   if test "$am_compiler_list" = ""; then
+      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
+   fi
+   for depmode in $am_compiler_list; do
+-    # Setup a source with many dependencies, because some compilers
+-    # like to wrap large dependency lists on column 80 (with \), and
+-    # we should not choose a depcomp mode which is confused by this.
+-    #
+     # We need to recreate these files for each test, as the compiler may
+     # overwrite some of them when testing with obscure command lines.
+     # This happens at least with the AIX C compiler.
+-    : > sub/conftest.c
+-    for i in 1 2 3 4 5 6; do
+-      echo '#include "conftst'$i'.h"' >> sub/conftest.c
+-      : > sub/conftst$i.h
+-    done
+-    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
++    echo '#include "conftest.h"' > conftest.c
++    echo 'int i;' > conftest.h
++    echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
  
-   for element in dtstofloat32; do
--    eval "LDFLAGS_${element}="'"'"-ldts "'$'"{LDFLAGS_${element}} "'"'
-+    eval "LDFLAGS_${element}="'"'"-ldts_pic "'$'"{LDFLAGS_${element}} "'"'
-     am_modules_with_ldflags="${am_modules_with_ldflags} ${element}"
+     case $depmode in
+     nosideeffect)
+@@ -3821,20 +3767,13 @@
+     # mode.  It turns out that the SunPro C++ compiler does not properly
+     # handle `-M -o', and we need to detect this.
+     if depmode=$depmode \
+-       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
+-       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+-       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+-         >/dev/null 2>conftest.err &&
+-       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+-       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
++       source=conftest.c object=conftest.o \
++       depfile=conftest.Po tmpdepfile=conftest.TPo \
++       $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
++       grep conftest.h conftest.Po > /dev/null 2>&1 &&
+        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
+-      # icc doesn't choke on unknown options, it will just issue warnings
+-      # (even with -Werror).  So we grep stderr for any message
+-      # that says an option was ignored.
+-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+-        am_cv_CXX_dependencies_compiler_type=$depmode
+-        break
+-      fi
++      am_cv_CXX_dependencies_compiler_type=$depmode
++      break
+     fi
    done
  
+@@ -3850,18 +3789,6 @@
+ CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
+-
+-if
+-  test "x$enable_dependency_tracking" != xno \
+-  && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
+-  am__fastdepCXX_TRUE=
+-  am__fastdepCXX_FALSE='#'
+-else
+-  am__fastdepCXX_TRUE='#'
+-  am__fastdepCXX_FALSE=
+-fi
+-
+-
+ ac_ext=cc
+ ac_cpp='$CXXCPP $CPPFLAGS'
+ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+@@ -4260,32 +4187,18 @@
+   # using a relative directory.
+   cp "$am_depcomp" conftest.dir
+   cd conftest.dir
+-  # We will build objects and dependencies in a subdirectory because
+-  # it helps to detect inapplicable dependency modes.  For instance
+-  # both Tru64's cc and ICC support -MD to output dependencies as a
+-  # side effect of compilation, but ICC will put the dependencies in
+-  # the current directory while Tru64 will put them in the object
+-  # directory.
+-  mkdir sub
+   am_cv_OBJC_dependencies_compiler_type=none
+   if test "$am_compiler_list" = ""; then
+      am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
+   fi
+   for depmode in $am_compiler_list; do
+-    # Setup a source with many dependencies, because some compilers
+-    # like to wrap large dependency lists on column 80 (with \), and
+-    # we should not choose a depcomp mode which is confused by this.
+-    #
+     # We need to recreate these files for each test, as the compiler may
+     # overwrite some of them when testing with obscure command lines.
+     # This happens at least with the AIX C compiler.
+-    : > sub/conftest.c
+-    for i in 1 2 3 4 5 6; do
+-      echo '#include "conftst'$i'.h"' >> sub/conftest.c
+-      : > sub/conftst$i.h
+-    done
+-    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
++    echo '#include "conftest.h"' > conftest.c
++    echo 'int i;' > conftest.h
++    echo "${am__include} ${am__quote}conftest.Po${am__quote}" > confmf
+     case $depmode in
+     nosideeffect)
+@@ -4303,20 +4216,13 @@
+     # mode.  It turns out that the SunPro C++ compiler does not properly
+     # handle `-M -o', and we need to detect this.
+     if depmode=$depmode \
+-       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
+-       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
+-       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
+-         >/dev/null 2>conftest.err &&
+-       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
+-       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
++       source=conftest.c object=conftest.o \
++       depfile=conftest.Po tmpdepfile=conftest.TPo \
++       $SHELL ./depcomp $depcc -c conftest.c -o conftest.o >/dev/null 2>&1 &&
++       grep conftest.h conftest.Po > /dev/null 2>&1 &&
+        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
+-      # icc doesn't choke on unknown options, it will just issue warnings
+-      # (even with -Werror).  So we grep stderr for any message
+-      # that says an option was ignored.
+-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
+-        am_cv_OBJC_dependencies_compiler_type=$depmode
+-        break
+-      fi
++      am_cv_OBJC_dependencies_compiler_type=$depmode
++      break
+     fi
+   done
+@@ -4332,18 +4238,6 @@
+ OBJCDEPMODE=depmode=$am_cv_OBJC_dependencies_compiler_type
+-
+-if
+-  test "x$enable_dependency_tracking" != xno \
+-  && test "$am_cv_OBJC_dependencies_compiler_type" = gcc3; then
+-  am__fastdepOBJC_TRUE=
+-  am__fastdepOBJC_FALSE='#'
+-else
+-  am__fastdepOBJC_TRUE='#'
+-  am__fastdepOBJC_FALSE=
+-fi
+-
+-
+ echo "$as_me:$LINENO: result: not implemented yet" >&5
+ echo "${ECHO_T}not implemented yet" >&6
+@@ -35868,27 +35762,6 @@
+ Usually this means the macro was only invoked conditionally." >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+-if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
+-  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&5
+-echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+-if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
+-  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&5
+-echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+-if test -z "${am__fastdepOBJC_TRUE}" && test -z "${am__fastdepOBJC_FALSE}"; then
+-  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepOBJC\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&5
+-echo "$as_me: error: conditional \"am__fastdepOBJC\" was never defined.
+-Usually this means the macro was only invoked conditionally." >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+ if test -z "${HAVE_BEOS_TRUE}" && test -z "${HAVE_BEOS_FALSE}"; then
+   { { echo "$as_me:$LINENO: error: conditional \"HAVE_BEOS\" was never defined.
+ Usually this means the macro was only invoked conditionally." >&5
+@@ -36594,7 +36467,6 @@
+ s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
+ s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
+ s,@INSTALL_DATA@,$INSTALL_DATA,;t t
+-s,@CYGPATH_W@,$CYGPATH_W,;t t
+ s,@PACKAGE@,$PACKAGE,;t t
+ s,@VERSION@,$VERSION,;t t
+ s,@ACLOCAL@,$ACLOCAL,;t t
+@@ -36609,7 +36481,6 @@
+ s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
+ s,@AWK@,$AWK,;t t
+ s,@SET_MAKE@,$SET_MAKE,;t t
+-s,@am__leading_dot@,$am__leading_dot,;t t
+ s,@CC@,$CC,;t t
+ s,@CFLAGS@,$CFLAGS,;t t
+ s,@LDFLAGS@,$LDFLAGS,;t t
+@@ -36624,22 +36495,16 @@
+ s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t
+ s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
+ s,@CCDEPMODE@,$CCDEPMODE,;t t
+-s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
+-s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
+ s,@CPP@,$CPP,;t t
+ s,@CXX@,$CXX,;t t
+ s,@CXXFLAGS@,$CXXFLAGS,;t t
+ s,@ac_ct_CXX@,$ac_ct_CXX,;t t
+ s,@CXXDEPMODE@,$CXXDEPMODE,;t t
+-s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
+-s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
+ s,@CXXCPP@,$CXXCPP,;t t
+ s,@EGREP@,$EGREP,;t t
+ s,@OBJC@,$OBJC,;t t
+ s,@OBJCFLAGS@,$OBJCFLAGS,;t t
+ s,@OBJCDEPMODE@,$OBJCDEPMODE,;t t
+-s,@am__fastdepOBJC_TRUE@,$am__fastdepOBJC_TRUE,;t t
+-s,@am__fastdepOBJC_FALSE@,$am__fastdepOBJC_FALSE,;t t
+ s,@RANLIB@,$RANLIB,;t t
+ s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
+ s,@AR@,$AR,;t t
+@@ -37199,29 +37064,13 @@
+     cat $tmp/config.h
+     rm -f $tmp/config.h
+   fi
+-# Compute $ac_file's index in $config_headers.
+-_am_stamp_count=1
+-for _am_header in $config_headers :; do
+-  case $_am_header in
+-    $ac_file | $ac_file:* )
+-      break ;;
+-    * )
+-      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
++  # Run the commands associated with the file.
++  case $ac_file in
++    config.h ) # update the timestamp
++echo 'timestamp for config.h' >"./stamp-h1"
++ ;;
+   esac
+ done
+-echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
+-$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+-       X$ac_file : 'X\(//\)[^/]' \| \
+-       X$ac_file : 'X\(//\)$' \| \
+-       X$ac_file : 'X\(/\)' \| \
+-       .     : '\(.\)' 2>/dev/null ||
+-echo X$ac_file |
+-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
+-        /^X\(\/\/\)[^/].*/{ s//\1/; q; }
+-        /^X\(\/\/\)$/{ s//\1/; q; }
+-        /^X\(\/\).*/{ s//\1/; q; }
+-        s/.*/./; q'`/stamp-h$_am_stamp_count
+-done
+ _ACEOF
+ cat >>$CONFIG_STATUS <<\_ACEOF
 diff -urNad /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure.ac vlc-0.7.2.final/configure.ac
---- /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure.ac  2004-05-21 13:54:55.000000000 +0200
-+++ vlc-0.7.2.final/configure.ac       2004-07-29 17:14:51.000000000 +0200
+--- /home/sam/debian/official/vlc/debian/vlc-0.7.2.final/configure.ac  2004-07-29 17:34:03.000000000 +0200
++++ vlc-0.7.2.final/configure.ac       2004-07-29 17:36:04.000000000 +0200
 @@ -1011,7 +1011,8 @@
                          #include <altivec.h>
                          #endif],